apiVersion: v1
kind: Template
labels:
  app: sabexporter
  template: sabexporter-buildconfig-with-secret
metadata:
  annotations:
    description: SABnzbd Exporter - BuildConfig with Secret
    iconClass: icon-openshift
    openshift.io/display-name: SABnzbd Exporter
    tags: sabexporter
  name: sabexporter-buildconfig-with-secret
objects:
- apiVersion: v1
  kind: Secret
  metadata:
    annotations:
      template.openshift.io/expose-username: "{.data['username']}"
    name: git-sabexporter-${RADOSGW_EXPORTER_REPOSITORY_REF}
  stringData:
    username: "${GIT_DEPLOYMENT_TOKEN}"
- apiVersion: v1
  kind: BuildConfig
  metadata:
    annotations:
      description: Builds SABnzbd Exporter images
    labels:
      name: sabexporter-${RADOSGW_EXPORTER_REPOSITORY_REF}
    name: sabexporter-${RADOSGW_EXPORTER_REPOSITORY_REF}
  spec:
    failedBuildsHistoryLimit: 1
    resources:
      limits:
        cpu: 200m
        memory: 512Mi
    source:
      contextDir: /
      git:
        uri: ${RADOSGW_EXPORTER_REPOSITORY_URL}
        ref: "${RADOSGW_EXPORTER_REPOSITORY_REF}"
      sourceSecret:
        name: git-sabexporter-${RADOSGW_EXPORTER_REPOSITORY_REF}
      type: Git
    strategy:
      type: Docker
      dockerStrategy:
        env:
        - name: DO_UPGRADE
          value: foo
        forcePull: false
    output:
      to:
        kind: ImageStreamTag
        name: sabexporter:${RADOSGW_EXPORTER_REPOSITORY_REF}
    triggers:
    - type: ConfigChange
parameters:
- name: GIT_DEPLOYMENT_TOKEN
  description: Git deployment token
  displayName: Git Deployment Token
  required: true
- name: RADOSGW_EXPORTER_REPOSITORY_REF
  description: Set this to a branch name, tag or other ref of your repository if you are not using the default branch
  displayName: Git Reference
  required: true
  value: master
- name: RADOSGW_EXPORTER_REPOSITORY_URL
  description: The URL of the repository with your SABnzbd Exporter Dockerfile
  displayName: Git Repository URL
  required: true
  value: https://gitlab.com/synacksynack/opsperator/docker-sabexporter.git
